edit-pr(1)

NAME
edit-pr - edit a problem report in the GNATS database

SYNOPSIS
edit-pr
    [ -h | --help ] [ -V | --version ]
    [ -d databasename | --database=databasename ]
    [ -H host | --host=host ] [ -P port | --port=port ]
    [ -v user | --user=user ] [ -w password | --passwd=password ]
    PR

DESCRIPTION
edit-pr is used to make changes to existing PRs in a GNATS database.

edit-pr first examines the PR and locks it if it is not already locked. This is to prevent a PR from being edited by two users simultaneously. If the PR is already in the process of being edited, edit-pr displays the name of the person who owns the lock.

edit-pr then calls $EDITOR on PR. After the PR has been edited, it is resubmitted to the database, and the index is updated.

If you change a field that requires a reason for the change, edit-pr prompts you to supply a reason for the change. A message is then appended to the Audit-Trail field of PR with the changed values and the change reason.

Depending on how the database is configured, editing various fields in the PR may also cause mail to be sent concerning these changes. In the default configuration, any fields that generate Audit-Trail entries will cause a copy of the new Audit-Trail message to be sent.

OPTIONS

-h, --help
    Prints a brief usage message for edit-pr.

-V, --version
    Prints the version number for edit-pr.

-d, --database
    Specifies the database containing the PR to be edited; if no database is specified, the database named default is assumed. This option overrides the database specified in the GNATSDB environment variable.

  GNATS network options:

-H, --host
    Hostname of the GNATS server.

-P, --port
    The port that the GNATS server runs on.

-v, --username
    Username used to log into the GNATS server.

-w, --passwd
    Password used to log into the GNATS server.

ENVIRONMENT VARIABLES
The environment variable EDITOR specifies the editor to invoke on the PR. Default is vi(1).

The GNATSDB environment variable is used to determine which database to
    use. For a local database, it contains the name of the database to access.

For network access via gnatsd, it contains a colon-separated list of strings that describe the remote database, in the form

server:port:databasename:username:password

Any of the fields may be omitted, but at least one colon must appear; otherwise, the value is assumed to be the name of a local database.

If GNATSDB is not set, it is assumed that the database is local and that its name is default.

FILES

/tmp/ep$$
    Temporary file for PR being edited.

/tmp/ed_pr_ch$$
    Holds Audit-Trail change message, if needed.

/tmp/u$$
    Holds output of lock function.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info)

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

COPYING
Copyright (c) 1993, 2003, Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.